Orgs Tables
Get a table field
Get a single field by id.
GET
/
orgs
/
{org_id}
/
tables
/
{table_id}
/
fields
/
{field_id}
Get a table field
curl --request GET \
--url https://api.useinvent.com/orgs/{org_id}/tables/{table_id}/fields/{field_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.useinvent.com/orgs/{org_id}/tables/{table_id}/fields/{field_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.useinvent.com/orgs/{org_id}/tables/{table_id}/fields/{field_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"table_id": "<string>",
"key": "<string>",
"schema": {
"type": "file",
"name": "<string>",
"description": "<string>",
"optional": true,
"array": true,
"placeholder": "<string>",
"display": {},
"order": 1,
"link": "<string>",
"metadata": {},
"allowed_modes": [],
"broadcast_field": true,
"integration_field": true,
"display_field": true,
"conditions": [
{
"field": "<string>",
"value": "<unknown>"
}
],
"hidden": true,
"picker": {
"type": "google_drive",
"views": [],
"selectable_mime_types": [
"<string>"
]
},
"requires": [
"<string>"
],
"disable_variables": true,
"allowed_types": [
"<string>"
],
"visibility": "PRIVATE"
},
"readonly": true,
"kind": "system"
}Authorizations
Bearer token authentication using your API key
Path Parameters
Org ID
Table ID
Field ID
Response
200 - application/json
- Option 1
- Option 2
Available options:
string, number, boolean, date, datetime, enum, file, record, contact, user, chat, segment, assistant The file type allows users to upload files
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
Show child attributes
Show child attributes
Available options:
system Was this page helpful?
Previous
Delete a table fieldPermanently delete a field. Cascades all values. Blocked if the field is the table display field.
Next
⌘I
Get a table field
